
#include <ros/ros.h>

#include "negotiator_drivers/state/monitor.h"

#include <cstdio>
#include <cstdlib>

#define LOG_START                "NegotiatorMonitorNode ::"

using namespace casualty;

int main(int argc, char** argv) {
    ros::init(argc, argv, "negotiator");
    ros::NodeHandle nh("~");

    NegotiatorMonitor monitor;

    ROS_INFO("%s Starting monitor node", LOG_START);
    monitor.configure(nh);
    monitor.connect();

    while (ros::ok()) {
        ros::spin();
    }

    monitor.disconnect();

    return 0;
}
